%define      gittime     20150104git
%define      srcname     %{name}
%define      srcversion  %{gittime}
%define      pyname      polkit_efl

%define      __brp_python_bytecompile   %{nil}

Name:        python-polkit-efl-agent
Version:     0.1.0
Release:     %mkrel -c %{gittime} 3
Summary:     Polkit-EFL is a user desktop session authentication agent
License:     GPLv3
Group:       Development/Python

Url:         https://git.enlightenment.org/misc/polkit-efl.git/
Source0:     %{srcname}-%{srcversion}.tar.bz2

BuildRequires:  python
BuildRequires:  python2-devel
BuildRequires:  python-efl
BuildRequires:  polkit-devel
BuildRequires:  python-psutil
BuildRequires:  efl
BuildArch:      noarch

Provides:       polkit-agent = %{version}-%{release}
Provides:       polkit-efl-agent = %{version}-%{release}

Requires:       python-efl
Requires:       python-psutil
#the script calls pkconfig to get some variables!?
Requires:       polkit-devel

%description
Polkit-EFL is a user desktop session authentication agent based on
python-efl. Install and leave it running in your desktop session. The
easiest way to do this is to add it to xdg autostart, a desktop file
is installed on your system for this purpose, use your DE's settings
to enable it. You may also launch it in a terminal.



%package -n python3-polkit-efl-agent
Summary:        Python3 implementation of Polkit-EFL
Group:          Development/Python
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-efl
BuildRequires:  python3-psutil
BuildArch:      noarch

Conflicts:      python-polkit-efl-agent
Requires:       python3-efl
Requires:       python3-psutil

%description -n python3-polkit-efl-agent
%{summary}.

%prep
%setup -q -n %{srcname}-%{srcversion}

# Remove bundled egg-info
%__rm -rf %{pyname}.egg-info
%__rm -rf %{py3dir}
%__cp -a . %{py3dir}


%build
%py2_build

pushd %{py3dir} 
%py3_build
popd

%install

pushd %{py3dir} 
%py3_install
%__rm -f %{buildroot}%{_bindir}/polkit-efl-authentication-agent-1
popd

%py2_install
%py_byte_compile %{__python2} %{buildroot}%{_bindir}/polkit-efl-authentication-agent-1

%find_lang polkit-efl



%files -f polkit-efl.lang
%doc README COPYING
%config(noreplace) %{_sysconfdir}/xdg/autostart/polkit-efl-authentication-agent-1.desktop
%{_bindir}/polkit-efl-authentication-agent-1
%{_datadir}/polkit-efl
%{python2_sitelib}/%{pyname}-%{version}-py?.?.egg-info


%files -n python3-polkit-efl-agent
%doc README COPYING
%{python3_sitelib}/%{pyname}-%{version}-py?.?.egg-info




%changelog
* Tue Dec 06 2016 eatdirt <eatdirt> 0.1.0-0.20150104git.3.mga6
+ Revision: 1072833
- Fix missing requires to polkit-devel

* Tue Nov 29 2016 eatdirt <eatdirt> 0.1.0-0.20150104git.2.mga6
+ Revision: 1070981
- Added provides for polkit-agent

* Mon Nov 28 2016 eatdirt <eatdirt> 0.1.0-0.20150104git.1.mga6
+ Revision: 1070583
- imported package python-polkit-efl-agent

